#pragma once

class rQuadTree;
class rSkyBox;

class rMap
{
public:
			rMap();
			~rMap();

	bool	Load(char filename[]);
	void	Draw();

	unsigned int	texture;
	unsigned int	detailTexture;
	float	detailTextureScale;
	float	fogColor[4];
	float	fogDensity;
	int		sizeOfValue;
	int		sideSize;

private:
	rQuadTree	*tree;
	rSkyBox		*skyBox;
};
